Create Product Variant Metafield
Creates a product variant Metafield.
Required Fields:
- permission_set
- namespace
- key
- value
Read-Only Fields
- id
Note: The maxiumum number of metafields allowed on each order, product, category, variant, or brand is 250 per client ID. For more information, see Platform Limits in the Help Center.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
The ID of the Product to which the resource belongs. Product variant metafield endpoints that have the product_id in the request path are successful as long as the parameter is not empty. The product_id segment is there only for path consistency.
Headers
The MIME type of the response body.
Request
The name of the field, for example: location_id, color. Required for POST.
The value of the field, for example: 1, blue. You must enter a JSON formatted string for ShipperHQ metafields. Required for POST.
Determines the visibility and writeability of the field by other API consumers.